=== debian/changelog ===
ponyprog (3.0.2+ds-1) unstable; urgency=medium

  * [173f002] New upstream version 3.0.2+ds
  * [d436547] drop patch queue
    The patches are applied by usptream.
  * [52e360d] d/control: add graphicsmagick-imagemagick-compat to B-D
    To use the helper tool 'convert' we need a new Build-Depends on this
    package.
  * [a453aba] d/rules: create and install app icons on our own
    Upstream is shipping a SVG graphic and we can create the required PNG files
    by ourself while building the package.
  * [db03d90] d/ponyprog.install: also install the ponyprog SVG file
  * [b45d629] d/rules: improve dh_clean behaviour
    Tweak the dh_clean target by overriding and adding some extra stuff so
    the build can be started multiple times within the same chroot.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 09 Feb 2019 20:24:41 +0100

ponyprog (3.0.0~rc0+ds-1) unstable; urgency=medium

  * Initial Packaging (Closes: #920199)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 22 Jan 2019 19:42:00 +0100
