=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4
#opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
# https://github.com/lancos/ponyprog/releases .*/?(\d\.\d.\d)\.tar\.gz

opts="mode=git, uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
  dversionmangle=s/\+ds(\.?\d+)?$//" \
  https://github.com/lancos/ponyprog.git \
  refs/tags/(\d+\.\d+\.\d+(?:\.?beta[1-9])?)
