## ponyprog 3.1.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -43,8 +43,10 @@
 
 
 IF(${USE_DEBUGGER})
+  SET(CMAKE_BUILD_TYPE Debug)
   SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS_DEBUG} -Wall")
 ELSE()
+  SET(CMAKE_BUILD_TYPE Release)
   SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS_RELEASE} -Wall")
 ENDIF()
 
@@ -72,6 +74,15 @@
 
 
 SET(CURRENT_BUILD_DIR ${CMAKE_CURRENT_BINARY_DIR})
+
+INCLUDE(FindLibUSB-1.0)
+
+
+IF(NOT ${LIBUSB_VERSION} LESS "1.0.16")
+  MESSAGE(STATUS "LibUSB version ${LIBUSB_VERSION}")
+ELSE()
+  MESSAGE(FATAL_ERROR "-- LibUSB version ${LIBUSB_VERSION} TOO OLD! Please Install this library newer as 1.0.16")
+ENDIF()
 
 
 # Set the PonyProg version
@@ -118,9 +129,9 @@
 # ENDIF(MSVC)
 
 IF (CMAKE_COMPILER_IS_GNUCC AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.7)
-    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -fno-exceptions -fno-rtti")
-ELSE()
-    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -fno-exceptions -fno-rtti")
+    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -fno-exceptions")
+ELSE()
+    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -fno-exceptions")
 ENDIF()
 
 
@@ -167,14 +178,24 @@
     ENDIF(NOT Qt5Multimedia_FOUND)
 ENDIF()
 
+#set ( FTDIPP ON )
+FIND_PACKAGE ( LibFTDI1 NO_MODULE REQUIRED )
+
+IF(NOT LibFTDI1_FOUND)
+    MESSAGE(FATAL_ERROR "LibFTDI1 files are not found. "
+    "LibFTDI1 and LibFTDIPP1 development packages are to install.")
+ENDIF(NOT LibFTDI1_FOUND)
+
+INCLUDE ( ${LIBFTDI_USE_FILE} )
+
 # for this feature install debhelper or 
 SET(PONYPROG_CPACK_PACKAGE_SHLIBDEPS ON)
 
 IF(${USE_QT_VERSION} MATCHES "4")
-    INCLUDE_DIRECTORIES(${QT_INCLUDES})
+    INCLUDE_DIRECTORIES(${QT_INCLUDES} ${LIBUSB_INCLUDE_DIRS})
     MESSAGE(STATUS "QT_INCLUDES ${QT_INCLUDES}")
 ELSE()
-    INCLUDE_DIRECTORIES(${QT_INCLUDES} ${Qt5Widgets_INCLUDE_DIRS}  ${Qt5PrintSupport_INCLUDE_DIRS} ${Qt5Multimedia_INCLUDE_DIRS})
+    INCLUDE_DIRECTORIES(${QT_INCLUDES} ${Qt5Widgets_INCLUDE_DIRS}  ${Qt5PrintSupport_INCLUDE_DIRS} ${Qt5Multimedia_INCLUDE_DIRS} ${LIBUSB_INCLUDE_DIRS})
 
     MESSAGE(STATUS "QT_INCLUDES ${QT_INCLUDES} ${Qt5Widgets_INCLUDE_DIRS} ${Qt5Multimedia_INCLUDE_DIRS}")
 
@@ -223,19 +244,24 @@
 
 
 IF(NOT ${USE_DEBUGGER})
-    ADD_DEFINITIONS(${QT_DEFINITIONS} -DQT_NO_DEBUG_OUTPUT -DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
-ENDIF()
+    ADD_DEFINITIONS(${QT_DEFINITIONS} -DQT_NO_DEBUG_OUTPUT -DQT_NO_DEBUG -DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
+ELSE()
+    ADD_DEFINITIONS(${QT_DEFINITIONS} -DQT_DEBUG)
+ENDIF()
+
 
 IF(${USE_QT_VERSION} MATCHES "4")
     INCLUDE(${QT_USE_FILE})
     ADD_DEFINITIONS(${QT_DEFINITIONS} -DNO_QT3SUPPORT -DDISABLE_QT3SUPPORT -DQT_PROJECT)
 ELSE()
-    ADD_DEFINITIONS( ${Qt5Widgets_DEFINITIONS} ${Qt5PrintSupport_DEFINITIONS} ${Qt5Multimedia_DEFINITIONS} -DQT_PROJECT )
+    ADD_DEFINITIONS(${Qt5Widgets_DEFINITIONS} ${Qt5PrintSupport_DEFINITIONS} ${Qt5Multimedia_DEFINITIONS} -DQT_PROJECT)
 ENDIF()
 
 IF(WIN32)
     ADD_DEFINITIONS(-DUNICODE -D_UNICODE)
 ENDIF()
+
+
 
 ADD_EXECUTABLE(${CMAKE_PROJECT_NAME}
     ${APP_SOURCES} 
@@ -249,11 +275,14 @@
 
 
 IF(${USE_QT_VERSION} MATCHES "4")
-  TARGET_LINK_LIBRARIES(${CMAKE_PROJECT_NAME} ${QT_LIBRARIES} )
-ELSE()
-  TARGET_LINK_LIBRARIES(${CMAKE_PROJECT_NAME} ${QT_LIBRARIES} ${Qt5Widgets_LIBRARIES} ${Qt5Multimedia_LIBRARIES} ${Qt5PrintSupport_LIBRARIES} )
+  TARGET_LINK_LIBRARIES(${CMAKE_PROJECT_NAME} ${QT_LIBRARIES} ${LIBUSB_LIBRARIES})
+ELSE()
+  TARGET_LINK_LIBRARIES(${CMAKE_PROJECT_NAME} ${QT_LIBRARIES} ${Qt5Widgets_LIBRARIES} ${Qt5Multimedia_LIBRARIES} ${Qt5PrintSupport_LIBRARIES} ${LIBUSB_LIBRARIES})
   MESSAGE(STATUS "QT LIBRARIES: ${QT_LIBRARIES} ${Qt5Widgets_LIBRARIES} ${Qt5Multimedia_LIBRARIES} ${Qt5PrintSupport_LIBRARIES} ${Qt5Core_LIBRARIES}")
 ENDIF()
+
+#target_link_libraries(${CMAKE_PROJECT_NAME} ${LIBFTDI_LIBRARIES} )
+target_link_libraries(${CMAKE_PROJECT_NAME} ftdipp1 ${LIBFTDI_LIBRARIES} )
 
 ADD_CUSTOM_TARGET (tags
     COMMAND  ctags -R -f tags ${CMAKE_SOURCE_DIR}/SrcPony
@@ -338,18 +367,3 @@
 ENDMACRO(PONYPROG_COMPILE_RESOURCE)
 
 # Setup subdirectories ...
-PONYPROG_CONDITIONAL_BUILD(MSVC gendef)
-# 
-OPTION(PONYPROG_ENABLE_DISTRIBUTION "Enable distribution targets." ON)
-PONYPROG_CONDITIONAL_BUILD(PONYPROG_ENABLE_DISTRIBUTION distribution)
-
-# Hide some cruft ...
-MARK_AS_ADVANCED(CMAKE_BACKWARDS_COMPATIBILITY)
-MARK_AS_ADVANCED(CMAKE_EXECUTABLE_FORMAT)
-MARK_AS_ADVANCED(CMAKE_LIBRARY_OUTPUT_DIRECTORY)
-MARK_AS_ADVANCED(CMAKE_OSX_ARCHITECTURES)
-MARK_AS_ADVANCED(CMAKE_OSX_DEPLOYMENT_TARGET)
-MARK_AS_ADVANCED(CMAKE_OSX_SYSROOT)
-MARK_AS_ADVANCED(CMAKE_RUNTIME_OUTPUT_DIRECTORY)
-MARK_AS_ADVANCED(CMAKE_USE_CHRPATH)
-
