=== distribution/posix/CMakeLists.txt ===
--- 
+++ 
@@ -47,6 +47,12 @@
         PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ
         ) 
 # MESSAGE("PROJECT_SOURCE_DIR ${PROJECT_SOURCE_DIR}")
+
+INSTALL(FILES "${PROJECT_SOURCE_DIR}/udev/rules.d/90-ponyprog.rules"
+        DESTINATION "/lib/udev/rules.d/" 
+        COMPONENT "application" 
+        PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ
+        )
 
 INSTALL(FILES "${PROJECT_SOURCE_DIR}/desktop/ponyprog.desktop"
         DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications/"
