=== debian/changelog ===
ponyprog (3.1.0+ds-1) unstable; urgency=medium

  * [6196489] d/control: correct VCS entries
    Fixing typos within the VCS links.
  * [c306149] d/watch: fix match regex for version
    Correcting the matching regexp string so uscan can find the tags.
  * [5a19b6d] Update upstream homepage to GitHub resource
    The old used URL for the homepage isn't really helpful, the development is
    happen on the GitHub site of course.
  * [924962a] New upstream version 3.1.0+ds
  * [f340037] d/README.source: update SHA ID for additional tarball
    The source for the additional tarbal is based now on different SHA commit
    id.
  * [846cb3e] d/control: increase Standards-Version to 4.4.1
    No further changes needed.
  * [dcc7607] d/control: update new needed B-D
    The new version requires now new B-D due USB support.
  * [da9fb45] add a patch queue fro a patch-queue branch
    added patch:
    udev-adding-TAG-uaccess-so-users-can-access-the-device.patch
  * [a0a299c] ponyprog.install: install also the udev rule
  * [e04948b] d/watch: remove unneeded old variables

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 08 Nov 2019 21:49:28 +0100
