## ponyprog 3.1.1+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -118,7 +118,7 @@
 # 
 SET(PONYPROG_PACKAGE ponyprog)
 SET(PONYPROG_HOST ${CMAKE_SYSTEM} ${CMAKE_SYSTEM_PROCESSOR})
-SET(PONYPROG_COPYRIGHT "Copyright (c) 1997-2019   ${APP_AUTHOR}, All Rights Reserved.")
+SET(PONYPROG_COPYRIGHT "Copyright (c) 1997-2020   ${APP_AUTHOR}, All Rights Reserved.")
 SET(PONYPROG_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
 
 # Setup high-level build options
