=== debian/changelog ===
ponyprog (3.1.1+ds-1) unstable; urgency=medium

  * [95fdf62] New upstream version 3.1.1+ds
  * [ae19605] d/control: increase Standards-Version to 4.5.0
  * [c5b46bd] d/copyright: update copyright years

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 16 Feb 2020 10:17:14 +0100
