=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libusb-dev,
  qtbase5-dev,
  qtmultimedia5-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/lancos/ponyprog
 Vcs-Browser: https://salsa.debian.org/electronics-team/ponyprog
 Vcs-Git: https://salsa.debian.org/electronics-team/ponyprog.git
